=== debian/changelog ===
o2 (1.0~repack-1) unstable; urgency=medium

  * Initial release. (Closes: #915265)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 04 Dec 2018 14:48:05 +0100
