=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with buildinfo

override_dh_auto_build:
	dh_auto_build
	doxygen doc/Doxyfile

override_dh_clean:
	dh_clean
	rm -rf doc/doxygen
