=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts="dversionmangle=s%[~+](dfsg|repack|ds)([.]?[0-9]*)?$%%,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%o2-$1%,repacksuffix=~repack" \
  https://github.com/rbdannenberg/o2/tags \
  (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
