## o2 1.1~ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,10 +24,14 @@
   set(EXTRA_LIBS winmm.lib ws2_32.lib Iphlpapi.lib)
 endif(WIN32)
 
-if(APPLE)
-  set(FRAMEWORK_PATH ${CMAKE_OSX_SYSROOT}/System/Library/Frameworks) 
-  set(EXTRA_LIBS "${FRAMEWORK_PATH}/CoreAudio.framework") 
-endif(APPLE)
+if(UNIX)
+  if(APPLE)
+    set(FRAMEWORK_PATH ${CMAKE_OSX_SYSROOT}/System/Library/Frameworks) 
+    set(EXTRA_LIBS "${FRAMEWORK_PATH}/CoreAudio.framework") 
+  else(APPLE) # must be Linux
+    # set(EXTRA_LIBS "-lm") # needed by liblo
+  endif(APPLE)
+endif(UNIX)
 
 #set(CMAKE_CXX_FLAGS "-stdlib=libc++")
 #set(CMAKE_EXE_LINKER_FLAGS "-stdlib=libc++")
@@ -91,7 +95,11 @@
 add_executable(typestest test/typestest.c)   
 target_include_directories(typestest PRIVATE ${CMAKE_SOURCE_DIR}/src)   
 target_link_libraries(typestest ${LIBRARIES}) 
-  
+
+add_executable(taptest test/taptest.c)   
+target_include_directories(taptest PRIVATE ${CMAKE_SOURCE_DIR}/src)   
+target_link_libraries(taptest ${LIBRARIES}) 
+
 add_executable(coercetest test/coercetest.c)    
 target_include_directories(coercetest PRIVATE ${CMAKE_SOURCE_DIR}/src)    
 target_link_libraries(coercetest ${LIBRARIES}) 
@@ -136,6 +144,14 @@
 target_include_directories(clockmaster PRIVATE ${CMAKE_SOURCE_DIR}/src)  
 target_link_libraries(clockmaster ${LIBRARIES}) 
 
+add_executable(appslave test/appslave.c) 
+target_include_directories(appslave PRIVATE ${CMAKE_SOURCE_DIR}/src) 
+target_link_libraries(appslave ${LIBRARIES}) 
+
+add_executable(appmaster test/appmaster.c)  
+target_include_directories(appmaster PRIVATE ${CMAKE_SOURCE_DIR}/src)  
+target_link_libraries(appmaster ${LIBRARIES}) 
+
 add_executable(oscsendtest test/oscsendtest.c)  
 target_include_directories(oscsendtest PRIVATE ${CMAKE_SOURCE_DIR}/src)  
 target_link_libraries(oscsendtest ${LIBRARIES}) 
@@ -156,16 +172,30 @@
 target_include_directories(oscbndlsend PRIVATE ${CMAKE_SOURCE_DIR}/src)   
 target_link_libraries(oscbndlsend ${LIBRARIES}) 
 
-add_executable(oscbndlrecv test/oscbndlrecv.c)   
-target_include_directories(oscbndlrecv PRIVATE ${CMAKE_SOURCE_DIR}/src)   
-target_link_libraries(oscbndlrecv ${LIBRARIES}) 
+add_executable(oscbndlrecv test/oscbndlrecv.c)    
+target_include_directories(oscbndlrecv PRIVATE ${CMAKE_SOURCE_DIR}/src)    
+target_link_libraries(oscbndlrecv ${LIBRARIES})  
+
+add_executable(infotest1 test/infotest1.c)    
+target_include_directories(infotest1 PRIVATE ${CMAKE_SOURCE_DIR}/src)    
+target_link_libraries(infotest1 ${LIBRARIES})  
+ 
+add_executable(infotest2 test/infotest2.c)    
+target_include_directories(infotest2 PRIVATE ${CMAKE_SOURCE_DIR}/src)    
+target_link_libraries(infotest2 ${LIBRARIES})  
 endif(BUILD_TESTS)
 
 if(UNIX)
   if(APPLE)
+    # EXTRA_LO_LIBS is libraries needed by Liblo applications
+    set(EXTRA_LO_LIBS ${COREAUDIO_LIB} ${COREFOUNDATION_LIB}
+                      ${COREMIDI_LIB} ${CORESERVICES_LIB})
   else(APPLE)
     # linux
     set(CMAKE_C_FLAGS "-std=gnu99")
+    set(PTHREAD_LIB pthread)
+    # EXTRA_LO_LIBS is libraries needed by Liblo applications
+    set(EXTRA_LO_LIBS asound ${PTHREAD_LIB} m)
   endif(APPLE)
   if(BUILD_MIDI_EXAMPLE)
     # Use PortMidi Library
@@ -174,12 +204,7 @@
 
     if(APPLE)
       set(COREMIDI_LIB "${FRAMEWORK_PATH}/CoreMIDI.framework")
-      set(EXTRA_NEEDED_LIBS ${COREAUDIO_LIB} ${COREFOUNDATION_LIB}
-                            ${COREMIDI_LIB} ${CORESERVICES_LIB})
     else(APPLE)
-      # LINUX
-      set(PTHREAD_LIB pthread)
-      set(EXTRA_NEEDED_LIBS asound ${PTHREAD_LIB})
     endif(APPLE)
 
     set(PORTMIDI_BASE_PATH ../portmedia/portmidi 
@@ -249,7 +274,7 @@
   set(LIBLO_PATH "${CMAKE_SOURCE_DIR}/../liblo-0.28" CACHE PATH
                  "Where to find liblo_64s.a, the liblo library.") 
   set(LIBLO_LIB LIBLO_LIB-NOTFOUND CACHE FILEPATH
-             "The liblo library; should be set automatically if LIBLO_PATH is correct and liblo_64s.a exists.") 
+             "The liblo library; should be set automatically if LIBLO_PATH is correct and liblo_s64.a exists.") 
   find_library(LIBLO_LIB lo_s64 ${LIBLO_PATH})
   # where to find liblo include files:
   set(LIBLO_INCLUDE_PATH ${LIBLO_PATH} CACHE PATH "where to find liblo include files") 
@@ -259,26 +284,18 @@
   # Create executables 
   add_executable(lo_benchmk_server  test/lo_benchmk_server.c) 
   target_include_directories(lo_benchmk_server PRIVATE ${LIBLO_INCLUDE_PATH})
-  target_link_libraries(lo_benchmk_server ${LIBLO_LIB} ${EXTRA_NEEDED_LIBS}) 
+  target_link_libraries(lo_benchmk_server ${LIBLO_LIB} ${EXTRA_LO_LIBS}) 
 
   add_executable(lo_benchmk_client  test/lo_benchmk_client.c) 
   target_include_directories(lo_benchmk_client PRIVATE ${LIBLO_INCLUDE_PATH})  
-  target_link_libraries(lo_benchmk_client ${LIBLO_LIB}  ${EXTRA_NEEDED_LIBS})  
+  target_link_libraries(lo_benchmk_client ${LIBLO_LIB}  ${EXTRA_LO_LIBS})  
 
   add_executable(lo_oscrecv test/lo_oscrecv.c) 
   target_include_directories(lo_oscrecv PRIVATE ${LIBLO_INCLUDE_PATH})  
-  target_link_libraries(lo_oscrecv ${LIBLO_LIB}  ${EXTRA_NEEDED_LIBS})   
+  target_link_libraries(lo_oscrecv ${LIBLO_LIB}  ${EXTRA_LO_LIBS})   
 
   add_executable(lo_oscsend test/lo_oscsend.c) 
   target_include_directories(lo_oscsend PRIVATE ${LIBLO_INCLUDE_PATH})  
-  target_link_libraries(lo_oscsend ${LIBLO_LIB}  ${EXTRA_NEEDED_LIBS})    
+  target_link_libraries(lo_oscsend ${LIBLO_LIB}  ${EXTRA_LO_LIBS})    
 
   add_executable(lo_bndlsend test/lo_bndlsend.c) 
-  target_include_directories(lo_bndlsend PRIVATE ${LIBLO_INCLUDE_PATH})  
-  target_link_libraries(lo_bndlsend ${LIBLO_LIB}  ${EXTRA_NEEDED_LIBS})     
-
-  add_executable(lo_bndlrecv test/lo_bndlrecv.c) 
-  target_include_directories(lo_bndlrecv PRIVATE ${LIBLO_INCLUDE_PATH})  
-  target_link_libraries(lo_bndlrecv ${LIBLO_LIB}  ${EXTRA_NEEDED_LIBS})     
-endif(BUILD_TESTS_WITH_LIBLO)
-endif(BUILD_TESTS)
