=== debian/changelog ===
o2 (1.1~ds-6) unstable; urgency=medium

  * Fix FTBFS with Cmake4 (Closes: ##1113335)
  * Fix typo in patch name
  * Add some more upstream-metadata
  * Drop obsolete Rules-Requires-Root stanza
  * Update git repository layout to follow DEP-14
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Sep 2025 23:13:58 +0200

o2 (1.1~ds-5) unstable; urgency=medium

  * Build without 'buildinfo' (Closes: #1090773)
  * Use d/clean rather than extending dh_clean
  * Ensure that 'licensecheck' is run with the C.UTF-8 locale
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 11 Jan 2025 00:44:04 +0100

o2 (1.1~ds-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Exclude debian/ from licensecheck
    + Regenerate d/copyright_hints
  * Fix spelling error in patch name
  * Fix typo in d/changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Dec 2022 14:18:37 +0100

o2 (1.1~ds-3) unstable; urgency=medium

  * Mark patches as forwarded

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 03 Oct 2022 18:30:57 +0200

o2 (1.1~ds-2) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add patch to fix hashing on BIGendian machine
  * Add patch to fix float-comparision (use epsilon)
    (Closes: #1019390)

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 30 Sep 2022 10:55:44 +0200

o2 (1.1~ds-1) unstable; urgency=medium

  * New upstream version 1.1~ds

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * Add patch to honour CFLAGS
  * Add some autopkgtests
  * Mark libo2-dev as Multi-Arch:same
  * Refresh d/libo2.symbols
    * Add Build-Depends stanza to libo2.symbols
  * d/rules
    + Use execute_after_dh_* instead of override_dh_*
    + Enable hardening (nut without 'fortify')
    + Build more verbosely
  * Drop dh-exec from d/*.install (not needed)
  * Update d/copyright
    + Refresh dates
    + Add 'licensecheck' target
    + Generate d/copyright_hints
  * Update lintian-overrides
  * Run 'wrap-and-sort -ast'
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Update d/watch
  * Bump dh-compat to 13
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 16 Aug 2022 17:12:18 +0200
