=== debian/control ===
--- 
+++ 
@@ -5,19 +5,18 @@
 Section: libs
 Priority: optional
 Build-Depends:
- debhelper (>= 11~),
- dh-buildinfo,
+ debhelper-compat (= 13),
  dh-exec,
  cmake,
  doxygen,
-Standards-Version: 4.2.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/multimedia-team/o2
 Vcs-Git: https://salsa.debian.org/multimedia-team/o2.git
 Homepage: https://github.com/rbdannenberg/o2/
 
 Package: libo2-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends:
  libo2 (= ${binary:Version}),
@@ -42,8 +41,10 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Suggests: libo2-dev
-Pre-Depends: ${misc:Pre-Depends}
+Suggests:
+ libo2-dev,
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: next generation communication protocol for music systems
  O2 is a communication protocol for interactive music and media applications.
  It is inspired by Open Sound Control (OSC) and uses similar means to form
