=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-fortify

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
		$(empty)

execute_after_dh_auto_build:
	doxygen doc/Doxyfile

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*|.*\.pptx
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints
