=== debian/tests/control ===
Test-Command: make -C debian/tests all
Features:
 test-name=build,
Restrictions:
 superficial,
Depends:
 gcc,
 libc6-dev | libc-dev,
 libo2-dev,
 make,

Test-Command: make -C debian/tests test
Features:
 test-name=simple_run,
Depends:
 gcc,
 libc6-dev | libc-dev,
 libo2-dev,
 make,
