=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts=dversionmangle=auto,\
 repacksuffix=+ds \
  https://github.com/rbdannenberg/o2/tags \
  (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
